# OpenLayers.Marker.Box

#### Inherits from

- OpenLayers.Marker

Summary

OpenLayers.Marker.Box |
Properties |
bounds | {OpenLayers.Bounds}
div | {DOMElement}
Constructor |
OpenLayers.Marker.Box |
Functions |
destroy |
setBorder | Allow the user to change the box’s color and border width
draw |
onScreen | {Boolean} Whether or not the marker is currently visible on screen.
display | Hide or show the icon

### Properties

### bounds

{OpenLayers.Bounds}

### div

{DOMElement}

### Constructor

### OpenLayers.Marker.Box

#### Parameters

bounds | {OpenLayers.Bounds}
borderColor | {String}
borderWidth | {int}

### Functions

### destroy

> destroy: function()

### setBorder

> setBorder: function ( | color,
> | width | )

Allow the user to change the box’s color and border width

#### Parameters

color | {String} Default is “red”
width | {int} Default is 2

### draw

> draw: function( | px,
> | sz | )

#### Parameters

px | {OpenLayers.Pixel}
sz | {OpenLayers.Size}

#### Returns

{DOMElement} A new DOM Image with this marker´s icon set at the location passed-in

### onScreen

> onScreen:function()

#### Rreturn

{Boolean} Whether or not the marker is currently visible on screen.

### display

> display: function( | display | )

Hide or show the icon

#### Parameters

display | {Boolean}

Instances of this class represent bounding boxes.

> destroy: function()

> setBorder: function ( | color,
> | width | )

Allow the user to change the box’s color and border width

> draw: function( | px,
> | sz | )

> onScreen:function()

{Boolean} Whether or not the marker is currently visible on screen.

> display: function( | display | )

Hide or show the icon
Instances of OpenLayers.Marker are a combination of a OpenLayers.LonLat and an OpenLayers.Icon.
This class represents a screen coordinate, in x and y coordinates
Instances of this class represent a width/height pair
Close